/**
 * ========================================
 * JFreeReport : a free Java report library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/jfreereport/index.html
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * Organization.java
 * ------------
 * (C) Copyright 2002-2005, by Object Refinery Limited.
 *
 * Original Author:  Thomas Morgner;
 * Contributor(s):   -;
 *
 * $Id: Organization.java,v 1.4 2005/03/03 22:59:59 taqua Exp $
 *
 * Changes
 * -------
 *
 *
 */
package org.jfree.report.demo.sportscouncil;

import java.util.ArrayList;

public class Organization
{
  private CouncilRecord council;
  private ArrayList leaders;
  private ArrayList subOrganizations;

  public Organization (final CouncilRecord council)
  {
    this.council = council;
    this.leaders = new ArrayList();
    this.subOrganizations = new ArrayList();
  }

  public CouncilRecord getCouncil ()
  {
    return council;
  }

  public int getLeaderCount ()
  {
    return leaders.size();
  }

  public int getSubOrganzationsCount ()
  {
    return subOrganizations.size();
  }

  public LeaderRecord getLeader (final int i)
  {
    return (LeaderRecord) leaders.get(i);
  }

  public SubOrganizationRecord getSubOrganization (final int i)
  {
    return (SubOrganizationRecord) subOrganizations.get(i);
  }

  public void addLeader (final LeaderRecord record)
  {
    leaders.add(record);
  }

  public void addSubOrganization (final SubOrganizationRecord record)
  {
    subOrganizations.add(record);
  }
}
