/**
 * ========================================
 * JFreeReport : a free Java report library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/jfreereport/index.html
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * DateCutExpression.java
 * ------------
 * (C) Copyright 2002-2005, by Object Refinery Limited.
 *
 * Original Author:  Thomas Morgner;
 * Contributor(s):   -;
 *
 * $Id: DateCutExpression.java,v 1.1.2.2 2006/07/24 14:46:14 taqua Exp $
 *
 * Changes
 * -------
 *
 *
 */
package org.jfree.report.function;

import java.util.Date;

public class DateCutExpression extends AbstractExpression
{
  private String field;
  private long factor;

  public DateCutExpression ()
  {
    factor = 1000;
  }

  public String getField ()
  {
    return field;
  }

  public void setField (String field)
  {
    this.field = field;
  }

  public long getFactor()
  {
    return factor;
  }

  public void setFactor(final long factor)
  {
    this.factor = factor;
  }

  /**
   * Return the current expression value. <P> The value depends (obviously) on the
   * expression implementation.
   *
   * @return the value of the function.
   */
  public Object getValue ()
  {
    Object date = getDataRow().get(getField());
    if (date instanceof Date == false)
    {
      return null;
    }
    if (factor == 0)
    {
      return date;
    }
    Date d = (Date) date;
    return new Date ((d.getTime() / factor) * factor);
  }
}
