/**
 * ========================================
 * <libname> : a free Java <foobar> library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/liblayout/
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * ---------
 * CompareNumberExpression.java
 * ---------
 *
 * Original Author:  Thomas Morgner;
 * Contributors: -;
 *
 * $Id: CompareNumberExpression.java,v 1.1 2006/01/27 20:15:27 taqua Exp $
 *
 * Changes
 * -------------------------
 * 27.01.2006 : Initial version
 */
package org.jfree.report.function.numeric;

import org.jfree.report.function.AbstractCompareExpression;

/**
 * Creation-Date: 27.01.2006, 20:53:44
 *
 * @author Thomas Morgner
 */
public class CompareNumberExpression extends AbstractCompareExpression
{
  private Double number;

  public CompareNumberExpression()
  {
    number = new Double(0);
  }

  protected Comparable getComparable()
  {
    return number;
  }

  public double getNumber()
  {
    return number.doubleValue();
  }

  public void setNumber(final double number)
  {
    this.number = new Double(number);
  }
}
