/**
 * ========================================
 * JFreeReport : a free Java report library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/jfreereport/index.html
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * CounterReference.java
 * ------------
 * (C) Copyright 2002-2005, by Object Refinery Limited.
 *
 * Original Author:  Thomas Morgner;
 * Contributor(s):   -;
 *
 * $Id: CounterReference.java,v 1.3 2005/03/03 23:00:02 taqua Exp $
 *
 * Changes
 * -------
 * 07-Nov-2003: Initial version.
 *
 */
package org.jfree.report.modules.output.table.html.util;

/**
 * A simple counter carrier.
 *
 * @author Thomas Morgner
 */
public final class CounterReference
{
  /**
   * a counter.
   */
  private int count;

  /**
   * DefaultConstructor.
   */
  public CounterReference ()
  {
  }

  /**
   * Returns the current count.
   *
   * @return the current count.
   */
  public int getCount ()
  {
    return count;
  }

  /**
   * increases the current count by one.
   */
  public void increase ()
  {
    count++;
  }
}
