/**
 * ========================================
 * <libname> : a free Java <foobar> library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/liblayout/
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * ---------
 * EllipseTemplateDescription.java
 * ---------
 *
 * Original Author:  Thomas Morgner;
 * Contributors: -;
 *
 * $Id: EllipseTemplateDescription.java,v 1.1.2.1 2006/03/09 19:11:04 taqua Exp $
 *
 * Changes
 * -------------------------
 * 09.03.2006 : Initial version
 */
package org.jfree.report.modules.parser.ext.factory.templates;

import org.jfree.report.filter.templates.EllipseTemplate;

/**
 * A rectangle template description.
 *
 * @author Thomas Morgner
 */
public class EllipseTemplateDescription extends AbstractTemplateDescription
{
  /**
   * Creates a new template description.
   *
   * @param name the name.
   */
  public EllipseTemplateDescription (final String name)
  {
    super(name, EllipseTemplate.class, true);
  }
}
