/**
 * ========================================
 * JFreeReport : a free Java report library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/jfreereport/index.html
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * ------------
 * ObjectFactoryUtility.java
 * ------------
 * (C) Copyright 2002-2005, by Object Refinery Limited.
 *
 * Original Author:  Thomas Morgner;
 * Contributor(s):   -;
 *
 * $Id: ObjectFactoryUtility.java,v 1.3 2006/01/24 14:17:38 taqua Exp $
 *
 * Changes
 * -------
 *
 *
 */
package org.jfree.report.modules.parser.ext.readhandlers;

import org.jfree.xml.ElementDefinitionException;
import org.jfree.xml.factory.objects.ClassFactory;
import org.jfree.xml.factory.objects.ObjectDescription;

public class ObjectFactoryUtility
{
  private ObjectFactoryUtility ()
  {
  }

  public static ObjectDescription findDescription (final ClassFactory cf,
                                                   final Class c)
          throws ElementDefinitionException
  {
    if (c == null) {
      throw new NullPointerException("Class cannot be null");
    }

    final ObjectDescription directMatch = cf.getDescriptionForClass(c);
    if (directMatch != null)
    {
      return directMatch;
    }
    final ObjectDescription indirectMatch = cf.getSuperClassObjectDescription(c, null);
    if (indirectMatch != null)
    {
      return indirectMatch;
    }
    throw new ElementDefinitionException
            ("No object description found for '" + c + "'");
  }
}
