/**
 * ========================================
 * <libname> : a free Java <foobar> library
 * ========================================
 *
 * Project Info:  http://www.jfree.org/liblayout/
 * Project Lead:  Thomas Morgner;
 *
 * (C) Copyright 2005, by Object Refinery Limited and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * ---------
 * ReportDrawable.java
 * ---------
 *
 * Original Author:  Thomas Morgner;
 * Contributors: -;
 *
 * $Id: ReportDrawable.java,v 1.1.2.1 2006/06/26 10:01:55 taqua Exp $
 *
 * Changes
 * -------------------------
 * 26.06.2006 : Initial version
 */
package org.jfree.report.util;

import org.jfree.report.ResourceBundleFactory;
import org.jfree.report.layout.LayoutSupport;
import org.jfree.report.style.StyleSheet;
import org.jfree.ui.Drawable;
import org.jfree.util.Configuration;

/**
 * Implement this interface to get some extra hints for your drawing task.
 *
 * @author Thomas Morgner
 */
public interface ReportDrawable extends Drawable
{
  public void setLayoutSupport(LayoutSupport layoutSupport);
  public void setConfiguration (Configuration config);
  public void setStyleSheet(StyleSheet style);
  public void setResourceBundleFactory(final ResourceBundleFactory bundleFactory);
}
